org.apache.commons.jelly.impl

## Class CompositeTextScriptBlock

- java.lang.Object
- - org.apache.commons.jelly.impl.ScriptBlock
  - - org.apache.commons.jelly.impl.CompositeTextScriptBlock

All Implemented Interfaces:
  Script

    public class CompositeTextScriptBlock
    extends ScriptBlock

`CompositeTextScriptBlock` represents a text body of a a tag which contains expressions, so that whitespace trimming can be handled differently.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`CompositeTextScriptBlock()` Create an instance.

### Method Summary

Methods
`void` `trimWhitespace()` Trim the body of the script.

### Methods inherited from class org.apache.commons.jelly.impl.ScriptBlock

`addScript, compile, getScriptList, removeScript, run, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompositeTextScriptBlock

    public CompositeTextScriptBlock()

Create an instance.

### Method Detail

#### trimWhitespace

    public void trimWhitespace()

Trim the body of the script. In this case, trim the whitespace from the start of the first element and from the end of the last element.

Overrides:
  `trimWhitespace` in class `ScriptBlock`